<?php

use Illuminate\Database\Migrations\Migration;

class CreateUniMessagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: uni_messages
         */
        Schema::create('uni_messages', function ($table) {
            $table->increments('id');
            $table->string('contact_name', 30)->nullable();
            $table->string('contact_email', 50)->nullable();
            $table->text('message')->nullable();
            $table->string('contact_number', 20)->nullable();
            $table->tinyInteger('status')->nullable();
            $table->integer('post_id')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('uni_messages');
    }
}
