This is a Laravel 5 package that provides uni_message management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ori/uni_message`.

    "ori/uni_message": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Ori\UniMessage\Providers\UniMessageServiceProvider::class,

```

And also add it to alias

```php
'UniMessage'  => Ori\UniMessage\Facades\UniMessage::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Ori\UniMessage\Providers\UniMessageServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


