@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('uni_message::uni_message.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('uni_message::uni_message.names') !!}</small>
@stop

@section('title')
{!! trans('uni_message::uni_message.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="https://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('uni_message::uni_message.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-uni_message'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('uni_message::uni_message.label.contact_name')!!}</th>
                    <th>{!! trans('uni_message::uni_message.label.contact_email')!!}</th>
                        <th>{!! trans('uni_message::uni_message.label.contact_number')!!}</th>
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-uni_message').load('{!!URL::to('admin/uni_message/uni_message/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/uni_message/uni_message') !!}',
        "columns": [
            {data :'contact_name'},
                    {data :'contact_email'},
                        {data :'contact_number'},
        ],
        "uni_messageLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-uni_message').load('{!!URL::to('admin/uni_message/uni_message')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop