[<a href="/user/uni_message/uni_message/create"> {{ trans('cms.create')  }}</a>]
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <td>Id</td>
        <th>{!! trans('uni_message::uni_message.label.contact_name')!!}</th>
                    <th>{!! trans('uni_message::uni_message.label.contact_email')!!}</th>
                        <th>{!! trans('uni_message::uni_message.label.contact_number')!!}</th>
        <td>Action</td>
    </thead>
    <tbody>
        @foreach($uni_messages as $uni_message)
        <tr>
            <td><a href="/user/uni_message/uni_message/{!! $uni_message->eid !!}"> {!! $uni_message->id !!} </a></td>
            <td>{{ $uni_message->contact_name }}</td>
                    <td>{{ $uni_message->contact_email }}</td>
                        <td>{{ $uni_message->contact_number }}</td>
            <td>
                <a href="/user/uni_message/uni_message/{!! $uni_message->eid !!}/edit"> Edit </a>
                <a href="/user/uni_message/uni_message/{!! $uni_message->eid !!}" class="link-delete"> Delete </a>
            </td>
        </tr>
        @endforeach
    </tbody>
</table>
<script type="text/javascript">
$(document).ready(function(){
    $('.link-delete').click(function(e){
        var url = $(this).attr('href');
        swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Yes, delete it!",
            closeOnConfirm: false
        }, function(){
            $.ajax({
                url: url,
                type: 'DELETE',
                processData: false,
                contentType: false,
                success:function(data, textStatus, jqXHR)
                {
                    data = jQuery.parseJSON(data);
                    window.location = data.redirect;
                },
            });
        });
        e.preventDefault();
    });
});
</script>