<?php

return [
/*
* Provider .
*/
'provider'  => 'ori',

/*
* Package .
*/
'package'   => 'uni_message',

/*
* Modules .
*/
'modules'   => ['uni_message'],

'uni_message' => [
                    'Name'          => 'UniMessage',
                    'name'          => 'uni_message',
                    'table'         => 'uni_messages',
                    'model'         => 'Ori\UniMessage\Models\UniMessage',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'contact_name',  'contact_email',  'message',  'contact_number',  'status',  'post_id'],
                    'listfields'        => ['id', 'contact_name',  'contact_email',  'message',  'contact_number',  'status',  'post_id'],
                    'translatable'      => ['contact_name',  'contact_email',  'message',  'contact_number',  'status',  'post_id'],

                    'upload-folder'     => '/uploads/uni_message/uni_message',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
