<?php

namespace Ori\UniMessage;

use DB;
use Illuminate\Database\Seeder;

class UniMessageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('uni_messages')->insert([
            '0' => [
                        ['contact_name&#039;       ' => 'John Doe'],
                        ['contact_email&#039;      ' => 'johndoe@test.com'],
                        ['message&#039;            ' => 'This is the first test message'],
                        ['contact_number&#039;     ' => '4444444'],
                        ['status&#039;             ' => '0'],
                        ['post_id&#039;            ' => '1'],
                        ],
            '1' => [
                        ['contact_name&#039;       ' => 'Mary Jane'],
                        ['contact_email&#039;      ' => 'mjane@test.com'],
                        ['message&#039;            ' => 'This is the first test message'],
                        ['contact_number&#039;     ' => '4444444'],
                        ['status&#039;             ' => '0'],
                        ['post_id&#039;            ' => '1'],
                        ],
            '2' => [
                        ['contact_name&#039;       ' => 'Marsah Me'],
                        ['contact_email&#039;      ' => 'mme@test.com'],
                        ['message&#039;            ' => 'This is the first test message'],
                        ['contact_number&#039;     ' => '4444444'],
                        ['status&#039;             ' => '0'],
                        ['post_id&#039;            ' => '1'],
                        ],
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'uni_message.uni_message.view',
                'readable_name' => 'View UniMessage',
            ],
            [
                'name'          => 'uni_message.uni_message.create',
                'readable_name' => 'Create UniMessage',
            ],
            [
                'name'          => 'uni_message.uni_message.edit',
                'readable_name' => 'Update UniMessage',
            ],
            [
                'name'          => 'uni_message.uni_message.delete',
                'readable_name' => 'Delete UniMessage',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'uni_message.uni_message.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
